| Home | Libraries | People | FAQ | More

## Function template get_parent_from_member

boost::intrusive::get_parent_from_member

## Synopsis

    // In header: <boost/intrusive/parent_from_member.hpp>

    template<typename Parent, typename Member>
      const Parent *
      get_parent_from_member(const Member * member,
                             const Member Parent::* ptr_to_member);

## Description

Given a const pointer to a member and its corresponding const pointer to data member, this function returns the const pointer of the parent containing that member. Note: this function does not work with pointer to members that rely on virtual inheritance.